## wally 2.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,10 @@
 endif( STATIC )
 
 set( WALLY_SRCS
+       include/version.h
+       include/idcache.h
+       src/json.cpp
+       include/json.h
        src/diskinfo.cpp
        include/diskinfo.h
        src/exif.cpp
@@ -116,7 +120,6 @@
 set( QT_USE_QTXML TRUE )
 set( QT_USE_QTSVG TRUE )
 set( QT_USE_QTSQL TRUE )
-set( QT_USE_QTSCRIPT TRUE )
 
 find_package( PkgConfig REQUIRED )
 pkg_check_modules( EXIF libexif )
