=== debian/changelog ===
wally (2.3.2-0ubuntu2) oneiric; urgency=low

  * Build-depend directly on libx11-dev and x11proto-core-dev (LP: #832807).

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 11 Sep 2011 16:52:51 +0100

wally (2.3.2-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #582628).
  * Add debian/patches/01_fix_ftbfs_qt_plugins.patch
  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.
  * Switch to source format 3.0 (quilt).
  * Switch from cdbs to dh7 rules and bump debian/compat to 7.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 18 May 2010 21:42:49 +0200

wally (2.3.1-0ubuntu1) lucid; urgency=low

  * Initial release (LP: #503539)
  * Changed some stuff to please the MOTU gods.

 -- Paulo Dias <paulo.miguel.dias@gmail.com>  Sun, 03 Jan 2010 21:46:19 +0000
