=== debian/control ===
Source: wally
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paulo Dias <paulo.miguel.dias@gmail.com>
Build-Depends: debhelper (>= 7.3.16~),
               pkg-kde-tools (>= 0.5.0~),
               cmake,
               kdelibs5-dev,
               libx11-dev,
               x11proto-core-dev
Standards-Version: 3.8.4
Homepage: http://www.becrux.com

Package: wally
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Qt4 wallpaper changer
 Wally is a Qt4 wallpaper changer using multiple sources like files,
 folders, FTP remote folders, Flickr, Yahoo!, Panoramio, Pikeo, Ipernity,
 Photobucket, Buzznet, Picasa and Smugmug images. It is available in many
 languages. Supported Linux window managers are GNOME, KDE 3, KDE 4, Xfce 4,
 BlackBox, FluxBox, Window Maker, and FVWM.
