=== debian/watch ===
version=2
opts=dversionmangle=s/\.dfsg// \
http://www.becrux.com/pages/projects/wally/wally-(.*)\.tar\.gz
