## wally 2.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,10 @@
 cmake_minimum_required(VERSION 2.6)
+
+if( COMMAND cmake_policy )
+  if( POLICY CMP0017 )
+    cmake_policy( SET CMP0017 NEW )
+  endif( POLICY CMP0017 )
+endif( COMMAND cmake_policy )
 
 project( wally )
 
@@ -7,7 +13,7 @@
     set( CMAKE_BUILD_TYPE Release )
   endif( NOT CMAKE_BUILD_TYPE )
 
-  add_definitions( -DQT_STATICPLUGIN )
+  add_definitions( -DQT_STATICPLUGIN -DWALLY_STATIC )
 endif( STATIC )
 
 set( WALLY_SRCS
@@ -19,8 +25,9 @@
        include/diskinfo.h
        src/exif.cpp
        include/exif.h
-       src/httpex.cpp
-       include/httpex.h
+       include/networkmanager.h
+       include/networkmanager_p.h
+       src/networkmanager.cpp
        src/gui.cpp
        include/gui.h
        src/mapviewer.cpp
@@ -41,8 +48,8 @@
        include/yahoo.h
        src/panoramio.cpp
        include/panoramio.h
-       src/pikeo.cpp
-       include/pikeo.h
+#       src/pikeo.cpp
+#       include/pikeo.h
        src/photobucket.cpp
        include/photobucket.h
        src/ipernity.cpp
@@ -53,8 +60,14 @@
        include/picasa.h
        src/smugmug.cpp
        include/smugmug.h
-       src/bing.cpp
-       include/bing.h
+#       src/bing.cpp
+#       include/bing.h
+       src/google.cpp
+       include/google.h
+       src/vladstudio.cpp
+       include/vladstudio.h
+       src/deviantart.cpp
+       include/deviantart.h
        src/utils.cpp
        include/utils.h
        src/splash.cpp
@@ -75,7 +88,8 @@
 
 set( WALLY_MOC_HDRS
        include/exif.h
-       include/httpex.h
+       include/networkmanager.h
+       include/networkmanager_p.h
        include/gui.h
        include/mapviewer.h
        include/engine.h
@@ -86,13 +100,16 @@
        include/flickr.h
        include/yahoo.h
        include/panoramio.h
-       include/pikeo.h
+#       include/pikeo.h
        include/photobucket.h
        include/ipernity.h
        include/buzznet.h
        include/picasa.h
        include/smugmug.h
-       include/bing.h
+#       include/bing.h
+       include/google.h
+       include/vladstudio.h
+       include/deviantart.h
        include/splash.h
        include/settings.h
        include/history.h
@@ -110,8 +127,29 @@
        ui/about.ui
    )
 
-set( WALLY_RCS
-       res/wally.qrc
+set( WALLY_IMAGES_RCS
+       res/images.qrc
+   )
+
+set( WALLY_LANGUAGES_RCS
+       ${CMAKE_CURRENT_BINARY_DIR}/languages.qrc
+   )
+
+set( WALLY_TS
+       res/lang/wally_ca.ts
+       res/lang/wally_cz.ts
+       res/lang/wally_de.ts
+       res/lang/wally_es.ts
+       res/lang/wally_fr.ts
+       res/lang/wally_gr.ts
+       res/lang/wally_it.ts
+       res/lang/wally_kr.ts
+       res/lang/wally_pl.ts
+       res/lang/wally_pt_BR.ts
+       res/lang/wally_ru.ts
+       res/lang/wally_zh_CN.ts
+       res/lang/wally_hu.ts
+       res/lang/wally_dk.ts
    )
 
 add_definitions( -Wall -Wextra -fexceptions -frtti -DUNICODE -DQT_THREAD_SUPPORT )
@@ -119,6 +157,9 @@
 set( QT_USE_QTNETWORK TRUE )
 set( QT_USE_QTXML TRUE )
 set( QT_USE_QTSVG TRUE )
+if ( ( NOT APPLE ) AND ( NOT WIN32 ) )
+  set( QT_USE_QTDBUS TRUE )
+endif( ( NOT APPLE ) AND ( NOT WIN32 ) )
 set( QT_USE_QTSQL TRUE )
 
 find_package( PkgConfig REQUIRED )
@@ -130,7 +171,10 @@
 
 find_package( Qt4 REQUIRED )
 include( ${QT_USE_FILE} )
-qt4_add_resources( WALLY_RC_SRCS ${WALLY_RCS} )
+configure_file( res/languages.qrc ${CMAKE_CURRENT_BINARY_DIR}/languages.qrc )
+qt4_add_translation( WALLY_QMS ${WALLY_TS} )
+qt4_add_resources( WALLY_IMAGES_RC_SRCS ${WALLY_IMAGES_RCS} )
+qt4_add_resources( WALLY_LANGUAGES_RC_SRCS ${WALLY_LANGUAGES_RCS} )
 qt4_wrap_ui( WALLY_UI_HDRS ${WALLY_UIS} )
 qt4_wrap_cpp( WALLY_MOC_SRCS ${WALLY_MOC_HDRS} )
 link_directories( ${QT_LIBRARY_DIR} ${QT_PLUGINS_DIR}/imageformats ${QT_PLUGINS_DIR}/sqldrivers )
@@ -166,11 +210,12 @@
     endif( INTL-NOTFOUND )
   endif( EXIF_FOUND )
 
-  add_executable( ${PROGNAME} MACOSX_BUNDLE ${WALLY_SRCS} ${WALLY_MOC_SRCS} ${WALLY_RC_SRCS} ${WALLY_UI_HDRS} ${CMAKE_CURRENT_SOURCE_DIR}/mac/wally.icns )
+  add_executable( ${PROGNAME} MACOSX_BUNDLE ${WALLY_QMS} ${WALLY_SRCS} ${WALLY_MOC_SRCS} ${WALLY_IMAGES_RC_SRCS} ${WALLY_IMAGES_RC_SRCS}
+                                            ${WALLY_LANGUAGES_RC_SRCS} ${WALLY_UI_HDRS} ${CMAKE_CURRENT_SOURCE_DIR}/mac/wally.icns )
   set_source_files_properties ( ${CMAKE_CURRENT_SOURCE_DIR}/mac/wally.icns PROPERTIES MACOSX_PACKAGE_LOCATION Resources )
   target_link_libraries( ${PROGNAME} ${QT_GIF_PLUGIN} ${QT_ICO_PLUGIN} ${QT_JPEG_PLUGIN} ${QT_MNG_PLUGIN}
                                      ${QT_SVG_PLUGIN} ${QT_TIFF_PLUGIN} ${QT_SQLITE_PLUGIN}
-                                     ${QT_LIBRARIES} ${EXIF_LIBRARIES} -lqgif -lqico -lqjpeg -lqmng -lqsvg -lqtiff -lqsqlite
+                                     ${QT_LIBRARIES} -lz ${EXIF_LIBRARIES} -lqgif -lqico -lqjpeg -lqmng -lqsvg -lqtiff -lqsqlite
                                      -liconv -lintl ${SYSTEM_CONFIGURATION_LIBRARY} )
 
   set_target_properties( ${PROGNAME} PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/mac/Info.plist )
@@ -199,6 +244,8 @@
                                           -i res/wally.rc
                       WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} )
   set( WALLY_SRCS ${WALLY_SRCS} ${CMAKE_CURRENT_BINARY_DIR}/wally_rc.o )
+
+  set( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -enable-auto-import" )
 
   if( STATIC )
     set( CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -static" )
@@ -211,12 +258,12 @@
     find_library( QT_SQLITE_PLUGIN qsqlite PATHS ${QT_PLUGINS_DIR} PATH_SUFFIXES sqldrivers )
   endif( STATIC )
 
-  add_executable( ${PROGNAME} WIN32 ${WALLY_SRCS} ${WALLY_MOC_SRCS} ${WALLY_RC_SRCS} ${WALLY_UI_HDRS} )
+  add_executable( ${PROGNAME} WIN32 ${WALLY_QMS} ${WALLY_SRCS} ${WALLY_MOC_SRCS} ${WALLY_IMAGES_RC_SRCS} ${WALLY_LANGUAGES_RC_SRCS} ${WALLY_UI_HDRS} )
 
   if( STATIC )
-    target_link_libraries( ${PROGNAME} ${QT_GIF_PLUGIN} ${QT_ICO_PLUGIN} ${QT_JPEG_PLUGIN}
-                                       ${QT_MNG_PLUGIN} ${QT_SVG_PLUGIN} ${QT_TIFF_PLUGIN} ${QT_SQLITE_PLUGIN}
-                                       ${QT_LIBRARIES} ${EXIF_LIBRARIES} -lshlwapi -lversion -lshell32 )
+   target_link_libraries( ${PROGNAME} ${QT_GIF_PLUGIN} ${QT_ICO_PLUGIN} ${QT_JPEG_PLUGIN}
+                                      ${QT_MNG_PLUGIN} ${QT_SVG_PLUGIN} ${QT_TIFF_PLUGIN} ${QT_SQLITE_PLUGIN}
+                                      ${QT_LIBRARIES} ${EXIF_LIBRARIES} -lshlwapi -lversion -lshell32 )
   else( STATIC )
     target_link_libraries( ${PROGNAME} ${QT_LIBRARIES} ${EXIF_LIBRARIES} )
   endif( STATIC )
@@ -233,7 +280,8 @@
 else( APPLE )
 
   set( PROGNAME wally )
-  add_executable( ${PROGNAME} ${WALLY_SRCS} ${WALLY_MOC_SRCS} ${WALLY_RC_SRCS} ${WALLY_UI_HDRS} )
+
+  add_executable( ${PROGNAME} ${WALLY_QMS} ${WALLY_SRCS} ${WALLY_MOC_SRCS} ${WALLY_IMAGES_RC_SRCS} ${WALLY_LANGUAGES_RC_SRCS} ${WALLY_UI_HDRS} )
   target_link_libraries( ${PROGNAME} ${QT_LIBRARIES} ${EXIF_LIBRARIES} )
   install( TARGETS ${PROGNAME} DESTINATION /usr/bin )
 
@@ -248,10 +296,3 @@
   endif( KDE4_FOUND )
 
 endif( APPLE )
-
-file( GLOB TS_FILES ${CMAKE_SOURCE_DIR}/res/lang/*.ts )
-foreach( TS_FILE ${TS_FILES} )
-  get_filename_component( OUTFILE ${TS_FILE} NAME_WE )
-  add_custom_target( ${OUTFILE} ALL ${QT_BINARY_DIR}/lrelease ${TS_FILE} WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/res/lang )
-  add_dependencies( ${PROGNAME} ${OUTFILE} )
-endforeach( TS_FILE ${TS_FILES} )
