=== debian/changelog ===
wally (2.4.2-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #739956).
    - fixes LP: #739938
  * Drop 01_fix_ftbfs_qt_plugins.patch, not necessary anymore.
  * Update watch file.
  * Bump Standards-Version to 3.9.2.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sat, 15 Oct 2011 23:50:40 +0400
