## wally 2.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -150,6 +150,8 @@
        res/lang/wally_zh_CN.ts
        res/lang/wally_hu.ts
        res/lang/wally_dk.ts
+       res/lang/wally_se.ts
+       res/lang/wally_tr.ts
    )
 
 add_definitions( -Wall -Wextra -fexceptions -frtti -DUNICODE -DQT_THREAD_SUPPORT )
