=== debian/changelog ===
wally (2.4.4-0ubuntu3) raring; urgency=low

  * Added missing X11 lib to link, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 12 Apr 2013 15:24:04 -0400

wally (2.4.4-0ubuntu2) quantal; urgency=low

  * add pkg-config to build depends 

 -- Julian Taylor <jtaylor@ubuntu.com>  Fri, 05 Oct 2012 11:50:15 +0200

wally (2.4.4-0ubuntu1) precise; urgency=low

  * New Upstream release.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 16 Jan 2012 17:26:07 +0530
