=== wallyplugin/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,10 @@
 execute_process(COMMAND "kde4-config" "--prefix" OUTPUT_VARIABLE KDE_CUSTOM_PREFIX OUTPUT_STRIP_TRAILING_WHITESPACE)
 set(CMAKE_INSTALL_PREFIX "${KDE_CUSTOM_PREFIX}")
 
+set(QT_USE_QTDBUS TRUE)
+
+find_package(Qt4 REQUIRED)
+include(${QT_USE_FILE})
 find_package(KDE4 REQUIRED)
 include(KDE4Defaults)
 include(MacroLibrary)
@@ -16,11 +20,11 @@
 set(wallyplugin_SRCS wallyplugin.cpp wallyplugin.h)
 
 kde4_add_plugin(plasma_wallpaper_wallyplugin ${wallyplugin_SRCS})
-target_link_libraries(plasma_wallpaper_wallyplugin ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})
-if( CMAKE_BUILD_TYPE STREQUAL Release )
+target_link_libraries(plasma_wallpaper_wallyplugin ${QT_LIBRARIES} ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})
+if(CMAKE_BUILD_TYPE STREQUAL Release)
   get_property( WALLY_PLUGIN_PATH TARGET plasma_wallpaper_wallyplugin PROPERTY LOCATION )
   add_custom_command( TARGET plasma_wallpaper_wallyplugin POST_BUILD COMMAND strip ARGS ${WALLY_PLUGIN_PATH} WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR} )
-endif( CMAKE_BUILD_TYPE STREQUAL Release )
+endif(CMAKE_BUILD_TYPE STREQUAL Release)
 
 install(TARGETS plasma_wallpaper_wallyplugin DESTINATION ${PLUGIN_INSTALL_DIR})
