=== debian/changelog ===
wally (2.4.5-0ubuntu1) vivid; urgency=medium

  * New upstream release.
  * Drop underlinkage patch, as it's no longer necessary.
  * Bump Standards-Version to 3.9.6.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 23 Nov 2014 04:14:18 -0500
