=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                pkg-config,
                pkg-kde-tools (>= 0.5.0~),
                x11proto-core-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.6
 Homepage: http://www.becrux.com
 
 Package: wally
