=== debian/watch ===
version=3
http://www.becrux.com/index.php?page=projects&name=wally .*/wally-([\d.]+).tar.gz
